Summary:	CAD program to build virtual LEGO models
Name:		leocad
Version:	23.03
Release:	%mkrel 2
License:	GPLv2
Group:		Toys
Url:		https://www.leocad.org
Source0:	https://github.com/leozide/leocad/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Fixes-for-Qt6.patch
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Xml)

Requires:	leocad-data

%description
LeoCAD is a CAD program that can be used to create virtual LEGO models.

It has an easy to use interface and currently features over 6000 different
pieces created by the LDraw community.

%prep
%autosetup -p1

sed -i -e 's,\(resources/leocad.\)png,\1svg,g' leocad.pro

# switch to UTF-8
for i in docs/*.txt; do
	mv $i $i.old
	iconv -f ISO-8859-1 -t UTF-8 -o $i $i.old
done

%build
%qmake_qt6 DISABLE_UPDATE_CHECK=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#for data
mkdir -p %{buildroot}%{_datadir}/%{name}

#handle doc in files section
rm -rf %{buildroot}%{_docdir}

%files
%doc docs/*.txt
%{_bindir}/leocad
%{_datadir}/applications/leocad.desktop
%{_iconsdir}/hicolor/scalable/mimetypes/application-vnd.leocad.svg
%{_iconsdir}/hicolor/scalable/apps/leocad.svg
%{_iconsdir}/hicolor/*/mimetypes/application-vnd.leocad.png
%{_iconsdir}/hicolor/*/apps/leocad.png
%dir %{_datadir}/%{name}/
%{_datadir}/mime/packages/leocad.xml
%{_metainfodir}/leocad.appdata.xml
%{_mandir}/man1/leocad.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 23.03-2.mga10
+ Revision: 2221522
- Mageia 10 Mass Rebuild

* Sat Mar 16 2024 daviddavid <daviddavid> 23.03-1.mga10
+ Revision: 2050116
- new version: 23.03
- switch to Qt6

* Sun Apr 03 2022 umeabot <umeabot> 21.06-2.mga9
+ Revision: 1842664
- Mageia 9 Mass Rebuild

* Sun Oct 10 2021 wally <wally> 21.06-1.mga9
+ Revision: 1750491
- new version 21.06

* Thu Apr 22 2021 joequant <joequant> 21.03-1.mga9
+ Revision: 1717972
- update to 21.03

* Thu Dec 17 2020 umeabot <umeabot> 19.07.1-3.mga8
+ Revision: 1658866
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 19.07.1-2.mga8
+ Revision: 1527756
- Mageia 8 Mass Rebuild

* Thu Jul 25 2019 wally <wally> 19.07.1-1.mga8
+ Revision: 1423900
- new version 19.07.1

* Sun Mar 31 2019 umeabot <umeabot> 18.02-3.mga7
+ Revision: 1383044
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 18.02-2.mga7
+ Revision: 1298732
- Mageia 7 Mass Rebuild

* Fri Mar 02 2018 zezinho <zezinho> 18.02-1.mga7
+ Revision: 1206100
- new version 18.02

* Sat Feb 03 2018 zezinho <zezinho> 18.01-1.mga7
+ Revision: 1198758
- added new BR on Qt5Xml
- new version 18.01

* Fri Aug 04 2017 joequant <joequant> 17.07-1.mga7
+ Revision: 1134913
- update to 17.07

* Fri Jul 21 2017 wally <wally> 17.02-1.mga7
+ Revision: 1125868
- new version 17.02
- switch to Qt5

* Fri Sep 09 2016 zezinho <zezinho> 0.83.1-1.mga6
+ Revision: 1051135
- new bugfix version 0.83.1

* Mon May 16 2016 zezinho <zezinho> 0.83-1.mga6
+ Revision: 1016159
- new version

* Tue Dec 15 2015 zezinho <zezinho> 0.82.2-1.mga6
+ Revision: 910794
- new version 0.82.2

* Fri Sep 04 2015 wally <wally> 0.82.1-2.mga6
+ Revision: 872750
- update to new version 0.82.1
  as version was bumped in previous release without really updating the source tarball

* Thu Sep 03 2015 zezinho <zezinho> 0.82.1-1.mga6
+ Revision: 872583
- disabled check for updates at startup

* Sun Jun 21 2015 wally <wally> 0.81.0-1.mga6
+ Revision: 837509
- new version 0.81.0

* Wed Oct 15 2014 umeabot <umeabot> 0.80.3-3.mga5
+ Revision: 748833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.3-2.mga5
+ Revision: 681297
- Mageia 5 Mass Rebuild

* Thu May 01 2014 wally <wally> 0.80.3-1.mga5
+ Revision: 619258
- new version 0.80.3

* Wed Feb 05 2014 wally <wally> 0.80.2-1.mga5
+ Revision: 583449
- new version 0.80.2

* Sat Oct 19 2013 umeabot <umeabot> 0.80.1-2.mga4
+ Revision: 534356
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 wally <wally> 0.80.1-1.mga4
+ Revision: 477361
- new version 0.80.1

* Thu Aug 22 2013 wally <wally> 0.80-1.mga4
+ Revision: 469828
- new version 0.80
- switch to Qt/QMake

* Tue Jun 04 2013 fwang <fwang> 0.79.3-2.mga4
+ Revision: 436907
- rebuild for new libpng

* Thu Mar 21 2013 wally <wally> 0.79.3-1.mga3
+ Revision: 404390
- new version 0.79.3
- add patch to fix linking
- use our optflags and ldflags
- clean .spec
+ joequant <joequant>
- split out leocad-data
- clean up spec file
- add full url
- imported package leocad


* Wed Oct 10 2012 joequant <joequant> 0.75-1.mga3
- Port to mageia
- add data 6152

* Wed May 25 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt5
- fixed build:  added libGL-devel to BR:
- .desktop file cleanup

* Sun Mar 27 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt4.1
- completely useless work (thanks to at@)

* Mon Mar 21 2011 Igor Vlasenko <viy@altlinux.ru> 0.75-alt4
- added libpng-devel to BuildRequires: (thanks to at@)

* Tue Sep 21 2010 Fr. Br. George <george@altlinux.ru> 0.75-alt3
- [Igor Vlasenko] updated source from 0.75 branch (closes #22831)

* Sat Nov 14 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.75-alt2.qa1
- NMU (by repocop): the following fixes applied:
  * obsolete-call-in-post-gtk-update-icon-cache for leocad
  * postclean-05-filetriggers for spec file

* Mon May 25 2009 Fr. Br. George <george@altlinux.ru> 0.75-alt2
- GCC4.4 build fixup

* Sun Oct 07 2007 Fr. Br. George <george@altlinux.ru> 0.75-alt1
- Initial build for ALT

